namespace ReportLibrary
{
    using System;
    using System.Diagnostics;
    using Telerik.Reporting;
    using Telerik.Reporting.Data;

    public partial class SampleReport : Report
    {
        public SampleReport()
        {
            this.InitializeComponent();

            try
            {
                this.productAdapter.Fill(this.productDataSet.ProductDataSetTable);
            }
            catch (Exception exception)
            {
                Debug.WriteLine(exception.Message);
            }

            var sortColumns = new string[]
            {
                "Category",
                "Subcategory",
                "Model",
                "Number",
                "Product"
            };

            var sortParameter = this.ReportParameters["SortColumn"];

            sortParameter.UI.AvailableValues.DataSource = sortColumns;
            sortParameter.UI.AvailableValues.ValueMember = "Item";
        }
    }
}